%define commit 0
%define rel 7
%define service_name tt-rss-updated

%if "%{commit}" != "0"
%define tarball %{commit}.zip
%define distname Tiny-Tiny-RSS-%{commit}
%define release %mkrel 2.%{commit}.%{rel}
%else
%define tarball %{version}.tar.gz
%define distname Tiny-Tiny-RSS-%{version}
%define release %mkrel %{rel}
%endif

%global __requires_exclude pear\\((autoload|db-prefs|db|functions|ntlm_sasl_client|register_expire_do|sessions).php\\)

Summary:	Tiny Tiny RSS: web-based news feed (RSS/Atom) reader and aggregator
Name:		tt-rss
Version:	1.12
Release:	%{release}
Source0:	https://github.com/gothfox/Tiny-Tiny-RSS/archive/%{tarball}
Source1:	%{service_name}.service
Patch0:		Tiny-Tiny-RSS-1.7.6-configpath.patch
License:	GPLv3
Group:		System/Servers
Url:		http://tt-rss.org/
BuildArch:	noarch
Conflicts:	php-suhosin < 0.9.34-0.0.git1fba865.4
# for update_daemon2.php
Requires:	php-cli, php-pcntl
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
Tiny Tiny RSS is an open source web-based news feed (RSS/Atom) reader
and aggregator, designed to allow you to read news from any location,
while feeling as close to a real desktop application as possible.

%prep
%setup -q -n %{distname}
%apply_patches
find -name '*.00*' | xargs -r rm

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a * %{buildroot}%{_datadir}/%{name}

install -d -m0700 %{buildroot}%{_localstatedir}/lib/%{name}
for d in cache feed-icons lock; do
    mv %{buildroot}%{_datadir}/%{name}/$d %{buildroot}%{_localstatedir}/lib/%{name}
    ln -s %{_localstatedir}/lib/%{name}/$d %{buildroot}%{_datadir}/%{name}/$d
done

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_sysconfdir}/%{name}/config.php %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# gitweb configuration
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted
</Directory>
EOF

# systemd service to run update_daemon2.php
install -d -m 755 %{buildroot}/lib/systemd/system
install -c -m 644 %{SOURCE1} %{buildroot}/lib/systemd/system/

%post
%_post_service %{service_name}

%preun
%_preun_service %{service_name}

%files
%{_webappconfdir}/%{name}.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%attr(0700,apache,apache) %dir %{_sysconfdir}/%{name}
/lib/systemd/system/%{service_name}.service


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.12-7.mga6
+ Revision: 937480
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.12-6.mga6
+ Revision: 937033
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.12-5.mga5
+ Revision: 748388
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 tv <tv> 1.12-4.mga5
+ Revision: 737350
- add more excludes

* Fri Oct 03 2014 tv <tv> 1.12-3.mga5
+ Revision: 736438
- rebuild for pear deps
- rebuild for pear deps
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.12-2.mga5
+ Revision: 689963
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Thu Apr 24 2014 blino <blino> 1.12-1.mga5
+ Revision: 617701
- 1.12
- make the daemon quiet (not to spam system logs)

* Sat Oct 19 2013 umeabot <umeabot> 1.10-2.mga4
+ Revision: 536585
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 blino <blino> 1.10-1.mga4
+ Revision: 484763
- 1.10

* Mon Aug 12 2013 blino <blino> 1.9-1.mga4
+ Revision: 465829
- 1.9
- license is now GPLv3

* Fri Jun 14 2013 blino <blino> 1.8-1.mga4
+ Revision: 443153
- 1.8

* Fri Jun 14 2013 blino <blino> 1.7.8-2.mga4
+ Revision: 443141
- add tt-rss-updated systemd service to run update daemon (adapted from Arch Linux)

* Sun Apr 07 2013 blino <blino> 1.7.8-1.mga3
+ Revision: 408994
- 1.7.8

* Sun Mar 31 2013 blino <blino> 1.7.6-0.842c2ab4511d4feb65f295340137aebf424523a3.1.mga3
+ Revision: 406818
- conflict with older php-suhosin having session handling bugs
- move cache/lock/icons dir in /var/lib instead of data dir
- use config file in /etc/tt-rss instead of data dir
- initial import (pre 1.7.6 with easy installer)
- Created package structure for tt-rss.

